Uh-oh… You need to update your internet browser!

The version of Internet Explorer that you're using is several years old and vulnerable to security threats. Therefore, you need to update to a more modern browser before you can log in to Perspective. Don't worry, this costs nothing and should be easy to do. You can check your browser version and find alternatives at updatemybrowser.org.

We're sorry for the inconvenience this causes, but it really is in your best interests. Please be assured that Angel Solutions take the security of your data very seriously and will continually strive to stay ahead of the latest security threats.